Bug 1128871 - Screen corruption after monitor sleep mode on Haswell with Intel HD Graphics
Summary: Screen corruption after monitor sleep mode on Haswell with Intel HD Graphics
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 17:15 UTC by Avram Lubkin
Modified: 2015-06-29 22:01 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1036257
Environment:
Last Closed: 2015-06-29 22:01:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1036257 None None None Never

Internal Links: 1036257

Description Avram Lubkin 2014-08-11 17:15:33 UTC
+++ This bug was initially created as a clone of Bug #1036257 +++

Description of problem:
The problem always occur after the screen wakes up from power saving mode. The screen is either a corrupted/jumbled login screen or the desktop is visible even with the mouse pointer moveable but no interaction or login prompt.


Version-Release number of selected component (if applicable):
gnome-desktop3-3.10.2-2.fc20.x86_64
clutter-1.16.2-4.fc20
xorg-x11-drv-intel-2.21.15-7.fc20.x86_64
mesa-dri-drivers-10.1.5-1.20140607.fc20.x86_64

i7-4600U w/ HD graphics 4400
(from lspci) Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)


How reproducible:
Always


Steps to Reproduce:
Allow screen to enter power saving mode
OR
xset dpms force off ; cinnamon-screensaver-command -a
OR
cinnamon-screensaver-command -a ; xset dpms force off


Actual results:
Corrupted screen


Expected results:
Login Screen


Workarounds:
Entering in the user password in the blind and hitting enter
Close and open the laptop to force suspend and resume
Switching to a text console and back (ctl-alt-F2, ctl-alt-F1)


Additional info:
Running "xset dpms force off" and "cinnamon-screensaver-command -a" individually do not cause an issue. 

I pulled xorg-x11-drv-intel-2.99.914-1.fc22.src.rpm from rawhide, rebuilt it for fc20 (no changes required), and the screen corruption disappeared.

It seems like some strange interaction between the screensaver and screen sleep mode (or wake-up), but the good news is it looks like whatever the issue is, it was fixed upstream at some point in the last year.

Is it possible to rebase xorg-x11-drv-intel to 2.99.x in FC20 or do we need to narrow it to the specific change?

Comment 1 Simone Tolotti 2014-12-16 18:09:42 UTC
I'm experiencing the same issue on an ATI/AMD card using opensource drivers.
The problem is random and can't reproduce it. Also screenshot images don't show the screen corruption.
Next time I'll take a picture using my phone.

Comment 2 Aram Agajanian 2015-02-20 21:25:12 UTC
I am also seeing corruption in two configurations:

F20 - Radeon HD 6450 - 3.18.5-101.fc20.x86_64

F21 - Intel GMA 4500

Comment 3 Fedora End Of Life 2015-05-29 12:36:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 22:01:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.